### Name: getDSAMessageLevel
### Title: Get current messaging level for the DSA routine
### Aliases: getDSAMessageLevel
### Keywords: models

### ** Examples

library(DSA)

## an example using the state census data. (gaussian)  
data(state)
state.data <- as.data.frame(state.x77)
colnames(state.data) <- unlist(lapply(strsplit(colnames(state.data), " "),
                                      function(x) paste(x, collapse ="")))

getDSAMessageLevel()
res <- DSA(Murder ~ 1, data = state.data, maxsize = 5, maxsumofpow = 2,
           maxorderint = 2, userseed=78)
res

setDSAMessageLevel(0) #default value
getDSAMessageLevel()
res <- DSA(Murder ~ 1, data = state.data, maxsize = 5, maxsumofpow = 2,
           maxorderint = 2 ,userseed=78)
res



